//
//EA DOG-M LCD Module Header File
//
//bit definitions based on specified port (LCD_PORT_WRITE)
//bits 	0-2	:	control lines
//bits 	4-7	:	data nibble
//bit	3	:	unused
#define	RS	0
#define RW	1
#define	E	2

//
//various bit definitions
#define BUSY	7
#define DDRAM	7

//
//data bits d4-d7 in/out direction
#define DATA_IN		0x00
#define DATA_OUT	0xF0

//
//Prototypes
// "_" indicates internal use only
extern void _dog_checkbusy (void);
extern uint8_t _dog_readbusy (void);
extern void _dog_write_data (uint8_t);
extern void _dog_write_inst (uint8_t);
extern void _dog_write_nocheck (uint8_t);
extern void _dog_putc(uint8_t c);
extern void dog_init (void);
extern void dog_clear (void);
extern void dog_gotoxy(uint8_t x, uint8_t y);
extern void dog_puts(const char *s);
extern void dog_putsf(const char *progmem_s);
extern void dog_contrast (unsigned short contrast);
